
Network Tools - Feature #1708

Add ability to perform a whois lookup
Status: Closed Start date: 01/29/2017

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.5   

Description

Associated revisions

Revision 62 - 02/10/2017 06:34 AM - lmurphey

Adding whois command

Reference #1708

Revision 63 - 02/10/2017 07:31 AM - lmurphey

Finalizing whois search command

Closes #1708

History

#1 - 01/29/2017 06:13 AM - Luke Murphey

https://www.google.com/webhp?sourceid=chrome-instant&ion=1&espv=2&ie=UTF-8#q=python+whois

#2 - 02/09/2017 06:35 PM - Luke Murphey

https://pypi.python.org/pypi/ipwhois

dnspython (http://www.dnspython.org/)

ipaddr (https://pypi.python.org/pypi/ipaddr/2.1.11)

https://pypi.python.org/pypi/whois

https://pypi.python.org/pypi/python-whois/0.6.3

#3 - 02/09/2017 06:55 PM - Luke Murphey

This library might be useful: http://www.tekdefense.com/automater/

#4 - 02/10/2017 03:47 AM - Luke Murphey

https://bitbucket.org/richardpenman/pywhois is pretty cool. However, it requires lib2to3 and this doesn't work:

import lib2to3

#5 - 02/10/2017 07:32 AM - Anonymous
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset splunk-network-tools-svn|r63.

#6 - 02/10/2017 08:13 AM - Luke Murphey

from ipwhois import IPWhois

obj = IPWhois('173.255.235.229')

results = obj.lookup_rdap(depth=1)

from pprint import pprint

pprint(results)
